Subject: Re: IBM MPLS patent

From: [email-masked]
Date: Thu, 25 Apr 2002 09:45:08 -0400

And to add to Curtis’ comment, if the claims were to be broad, then an 
argument can be made based on the framework being merely an application 
and extension of techniques known in other areas (MTP- message transfer 
part of CCS7/SS7 protocol) to the IP-based networks. You can look at 
some publicly available documents (from ITU-T, then CCITT) in 1976 on 
SS7 protocol to find the similarities. For details you might want to 
read two papers I published in the Proceedings of the IEEE, Feb 1991 
(on architecture) and Apr 1992 (on routing and congestion).

On the other hand, if the claims were to be narrow and related to a 
specific implementation, then there could be a valid case.

  - Bijan

---------------------------------------
Bijan Jabbari, PhD
Professor of Electrical Engineering
George Mason University
Fairfax, VA 22030-4444
email: [email-masked]

----- Original Message -----
From: Curtis Villamizar <[email-masked]>
Date: Wednesday, April 24, 2002 11:20 pm
Subject: Re: IBM MPLS patent 

> 
> In message <[email-masked]>, "Per 
> F Hansen" wr
> ites:
> > Hello 
> > 
> > I saw an email from you 22/2-1999 related to the IBM
> > mpls patent claim discussions. 
> > 
> > Can you or any other give an update about what has
> > happened since. Do people pay IBM a fee, or have the
> > MPLS stadards been changed to come around IBM, or
> > were there practically a technical implementation way
> > to come around IBM and still be MPLS compliant. 
> > 
> > Per
> 
> 
> I don't think anyone pays IBM a fee for patents related to MPLS.  I
> don't even know if they have any.
> 
> At the time I think we were speculating on what IBM might be claiming
> to be patentable since they had made an intellectual property
> statement but had no patent.  One can only speculate when someone
> claims to have something in the application stage.  I am extremely
> familiar with the early IBM discussions that preceded ARIS and
> initiated much of the discussion as part of the NSFNET 
> partnership.  I
> also discussed ideas publicly, my own ideas, on the IETF int-serv
> mailing list prior to anything coming out of Cisco, IBM, or Ipsilon.
> If any patent related to forwarding comes of the IBM work I may still
> have email that precedes the public discussions that would very likely
> invalidate it.  If they patent something related to their LDP work,
> that might be another story, depending on the nature of the patent.
> Early public discussion of signaling assumed a model more similar to
> LDP than RSVP/TE or CR-LDP, so even LDP is probably safe.
> 
> Is there a specific patent number that you are concerned about or are
> you just asking what became of this discussion?
> 
> Curtis
> 
>